Bug 505989 - System unbootable after installation
System unbootable after installation
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-06-15 01:36 EDT by Joshua Wulf
Modified: 2014-10-19 18:57 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-06-28 09:01:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joshua Wulf 2009-06-15 01:36:25 EDT
Description of problem:

I installed using the liveusb. I installed to sdb1. sda contains a pre-installed OS (Xandros, this is a eee PC).

I didn't do the advanced manual partitioning. I just selected sdb for the install, deselected sda, and then specified sdb for "What drive would you like to boot this installation from?"

It installed, and did not boot afterwards, with GRUB Error 22.

I repeated the install, specifying sdb again, and this time specifying to boot from sda. When I did this, I got a warning message that I was attempting to boot from a drive that I was not installing to. I chose to proceed.

After installation, it booted. Xandros is still on sda, but there is no dual boot capability.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Follow the steps above
Actual results:
1. Doesn't boot when sdb is selected as drive to boot from
2. Gives a warning when selecting sda to boot from, but  boots

Expected results:
1. If it can't boot from sdb after installation, it should give a warning along the lines of: "With this configuration the system will not boot, unless you configure the bootloader using another program or operating system. Do you wish to proceed?"
2. It shouldn't give a warning and ask if you want to proceed on the bootable path - it should do that on the unbootable path. If it's going to give a warning on the bootable path, it should be more meaningful than "booting from a partition that is not being installed to".
3. With the same install path on Ubuntu 9.04 it automatically detected Xandros and put a boot menu item in it. I didn't ask it to, didn't expect it to, and to be honest, didn't even know that Xandros was on there (it seems to be a system restore image)

Additional info:
It makes no sense to me that it would not warn anything, and then be unbootable. Then with the bootable installation configuration it gives a warning.

Can't it tell what will boot and what won't?

With Ubuntu's installer it worked flawlessly, and even exceeded my expectations.
Comment 1 Bug Zapper 2010-04-27 10:56:04 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 2 Bug Zapper 2010-06-28 09:01:25 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.